Skip to main content
System Management/Security Settings Interfaces/Console Proxy Interfaces
PUTConsole Proxy InterfacesSince 0.6SynchronousAuth Required

Reconnect Console Proxy Agent

Reconnect Console Proxy Agent

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • agentUuidsList

    UUIDs of the console proxy agents

  • systemTagsList

    System tags

  • userTagsList

    User tags

Responses

200 OK

On success, this API returns the following response structure.

  • inventoryMapRequired

    Console proxy agent inventory

  • errorErrorCodeRequired

    Error code. If not null, the operation has failed. This field is null when the operation succeeds. For details, see error

    • codeStringRequired

      Error code number. The globally unique identifier of the error, for example, SYS.1000 or HOST.1001.

    • descriptionStringRequired

      Brief description of the error

    • detailsStringRequired

      Detailed information about the error

    • elaborationStringRequired

      Reserved field. Default is null.

    • opaqueLinkedHashMapRequired

      Reserved field. Default is null.

    • causeErrorCodeRequired

      Root error. The source error that caused the current error. This field is null if no root error exists.

Endpoint

PUT/zstack/v1/consoles/agents

/zstack/v1/consoles/agents

Operation ID

ReconnectConsoleProxyAgent

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/consoles/agents' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"agentUuids":["<agentUuids>"],"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "976e8d54d42841da85eb697f3e8534b6": true, "ac4b5e3b69e5499eba381082199b5d42": true } }

Change History

This API has no change history records yet.

View all change history